=== debian/changelog ===
fwupd (1.4.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Aug 2020 01:39:21 -0400

fwupd (1.4.5-1) unstable; urgency=medium

  * New upstream version (1.4.5)
  * Drop flashrom patch, now upstream
  * Regenerate control file
    - Refresh dependencies for 1.4.x
    - Drop Jared as uploader

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 30 Jul 2020 08:33:22 -0500

fwupd (1.3.11-2) unstable; urgency=medium

  * Stop generating debian/control automatically at build time
  * Add build-dep on libflashrom-dev

 -- Steve McIntyre <93sam@debian.org>  Thu, 23 Jul 2020 21:54:00 +0100

fwupd (1.3.11-1) unstable; urgency=medium

  * New upstream stable release:
    - Add more module types for the Dell dock
    - Fix the TPM PCR0 calculation
    - Check for free space after cleaning up ESP

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 18 Jun 2020 10:46:14 -0500
