=== debian/changelog ===
fwupd (1.4.7-0~20.10.2) groovy; urgency=medium

  * debian/rules: merge upstream sbat related change. (LP: #1926011)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 04 May 2021 07:05:41 +0800

fwupd (1.4.7-0~20.10.1) groovy; urgency=medium

  * new upstream version (1.4.7)
  * Bug fixes:
    -  Check returned volumes before accessing them
    -  Correct a Thunderbolt assertion if kernel failed FW read
    -  Do not dedupe NVMe devices
    -  Do not match all HIDRAW\VEN_06CB devices
    -  Don't allow device updates while needing activation
    -  Fix adding multiple flags to devices
    -  Fix critical warning regression with 'fwupdate -a'
    -  Fix probe warning for the Logitech Unifying device
    -  Fix the quirk key name for the Lenovo HDMI with power
    -  Make TPM more optional
    -  Make udisks2 errors more apparent
    -  Only set the version format for ESRT entries
    -  Remove the Hughski public key
    -  Restore recognizing gpg and pkcs7 types still
    -  Wait a few ms for the Logitech hardware to settle after detach
  * New features
    - Add support for SBAT. (LP: #1921539)
    - Adds support for Synaptics fingerprinter reader (LP:# 1900935)
  * Fixes TPM PCR0 reading failures if all characters are 0.
    (LP: #1909734)
  * Fixes Synaptics RMI probe causing touchscreen failures
    (LP: #1886912)
  * Backport a patch from upstream 1_4_X branch to fix SBAT character.
  * Backport a patch from upstream 1_4_X branch to fix vendor-id requirement
    error on Dell WD19 (LP: #1921544)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 13:45:02 -0500
